// Copyright © 2020 Birju Vachhani. All rights reserved.
// Use of this source code is governed by a BSD 3-Clause License that can be
// found in the LICENSE file.

library flutter_screwdriver;

import 'dart:async';

import 'package:animations/animations.dart';
import 'package:flutter/material.dart';

import 'src/helpers/helpers.dart' as helpers;

export 'src/helpers/helpers.dart';
export 'src/routes/fade_scale_page_route.dart';
export 'src/routes/fade_through_page_route.dart';
export 'src/routes/shared_axis_page_route.dart';

part 'build_context/build_context.dart';

part 'color/color.dart';

part 'primitives/double.dart';

part 'primitives/int.dart';

part 'primitives/string.dart';

part 'route/route.dart';

part 'state/state.dart';

part 'text_editing_controller/text_editing_controller.dart';

part 'ui/brightness.dart';

part 'ui/global_key.dart';

part 'ui/widget.dart';
